Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

Lighttpd < 1.4.19 Information Disclosure

Medium

Synopsis

The remote web server can be manipulated to disclose source code.

Description

The remote host is running Lighttpd, a small web server. This version of Lighttpd is vulnerable to an information disclosure flaw. The 'mod_cgi' module, when put under a considerable load, could fail to fork its process. Such a failure would lead to the web server returning the source code of the CGI script that had been requested. An attacker exploiting this flaw would be able to gain access to potentially confidential data.

Solution

Upgrade to version 1.4.19 or higher.